Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.datatype.convertor
Interface ConvertorBuilder

All Known Subinterfaces:
  BeanConvertorBuilder, BooleanConvertorBuilder, CharConvertorBuilder, DateConvertorBuilder, DecimalConvertorBuilder, DoubleConvertorBuilder, EnumConvertorBuilder, FloatConvertorBuilder, IntegerConvertorBuilder, LongConvertorBuilder, StringConvertorBuilder

All Known Implementing Classes:
  DummyStringConvertorBuilder, FormattingDateConvertorBuilder, FormattingDecimalConvertorBuilder, FormattingDoubleConvertorBuilder, FormattingFloatConvertorBuilder, FormattingIntegerConvertorBuilder, FormattingLongConvertorBuilder, HtmlCleaningConvertorBuilder, Icu4jDateConvertorBuilder, MillisDateConvertorBuilder, PlainBeanConvertorBuilder, PlainBooleanConvertorBuilder, PlainCharConvertorBuilder, PlainDecimalConvertorBuilder, PlainDoubleConvertorBuilder, PlainEnumConvertorBuilder, PlainFloatConvertorBuilder, PlainIntegerConvertorBuilder, PlainLongConvertorBuilder

public interface ConvertorBuilder

Interface to be implemented by components that can build a Convertor based on a XML configuration (supplied as DOM Element).

The element will (should) always have the local name "convertor" and the cforms definition namespace, but attributes and content of the element can vary depending on the ConvertorBuilder implementation.

Version:
  $Id: ConvertorBuilder.java 587759 2007-10-24 03:00:37Z vgritsenko $

Method Summary
`Convertor` | `build(Element configElement)`

Method Detail

### build

    public Convertor build(Element configElement)
                    throws Exception

  Parameters:
    `configElement` - is allowed to be null!
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.